pydo.databases.update_kafka_schema_config()

Generated on 3 Aug 2026 from pydo version v0.40.0

Usage

client.databases.update_kafka_schema_config(
    database_cluster_uuid="9cc10173-e9ea-4176-9dbc-a4cee4c4ff30",
    body={
        "compatibility_level": "NONE",
    },
)
Returns JSONRaises HttpResponseError

Description

To update the Schema Registry configuration for a Kafka cluster, send a PUT request to /v2/databases/{database_cluster_uuid}/schema-registry/config. The response is a JSON object with a compatibility_level key, which is set to an object containing any database configuration parameters.

Parameters

database_cluster_uuid string required

A unique identifier for a database cluster.

compatibility_level string required

The compatibility level of the schema registry.

One of: NONE, BACKWARD, BACKWARD_TRANSITIVE, FORWARD, FORWARD_TRANSITIVE, FULL, FULL_TRANSITIVE

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

req = {
  "compatibility_level": "BACKWARD"
}

resp = client.databases.update_kafka_schema_config(database_cluster_uuid="9cc10173-e9ea-4176-9dbc-a4cee4c4ff30", body=req)

Response Example

Show Response Example
{
  "compatibility_level": "BACKWARD"
}

More Information

See /v2/databases/{database_cluster_uuid}/schema-registry/config in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.